<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Console\Commands;

use PpPhp\Core\Platform\Console\AbstractCommand;

final class StreamTopicCreateCommand extends AbstractCommand
{
    public function name(): string { return 'stream:topic:create'; }
    public function description(): string { return 'PPphp Stream Topic Create'; }

    public function handle(array $arguments = []): int
    {
        $this->title('PPphp Stream Topic Create');
        $topic = \PpPhp\Core\Platform\Event\Streaming\Topic\StreamTopicManager::instance(\PpPhp\Core\Platform\Console\ConsolePath::basePath())->create('topic.console', 1, 2); $this->line('Created: ' . $topic->topic());
        return 0;
    }
}
